summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDerek Foreman <derekf@osg.samsung.com>2016-04-11 10:34:23 -0500
committerMike Blumenkrantz <zmike@osg.samsung.com>2016-04-19 15:11:09 -0400
commitf59c52520de6007990e04dbc5572353a326ada29 (patch)
tree7d749af2c0a526a56ca28c0449cc51425d7b000b
parentcd124f938f4ac9c23687d51a017d616f53468b76 (diff)
build: Bump wayland version dependency
Anything that needed wayland now needs wayland 1.10.0
Diffstat (limited to '')
-rw-r--r--configure.ac6
-rw-r--r--m4/evas_check_engine.m49
2 files changed, 8 insertions, 7 deletions
diff --git a/configure.ac b/configure.ac
index bdf765c584..cac8850f4a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3331,7 +3331,7 @@ EFL_INTERNAL_DEPEND_PKG([ECORE_WL2], [efl])
3331EFL_INTERNAL_DEPEND_PKG([ECORE_WL2], [eina]) 3331EFL_INTERNAL_DEPEND_PKG([ECORE_WL2], [eina])
3332 3332
3333EFL_DEPEND_PKG([ECORE_WL2], [WAYLAND], 3333EFL_DEPEND_PKG([ECORE_WL2], [WAYLAND],
3334 [wayland-server >= 1.8.0 wayland-client >= 1.8.0 wayland-cursor >= 1.8.0 xkbcommon >= 0.5.0]) 3334 [wayland-server >= 1.10.0 wayland-client >= 1.10.0 wayland-cursor >= 1.10.0 xkbcommon >= 0.5.0])
3335 3335
3336EFL_EVAL_PKGS([ECORE_WL2]) 3336EFL_EVAL_PKGS([ECORE_WL2])
3337 3337
@@ -5094,7 +5094,7 @@ EFL_LIB_END_OPTIONAL([Efl_Js])
5094 5094
5095### Add Wayland server library if test is enabled 5095### Add Wayland server library if test is enabled
5096if test "x${want_tests}" = "xyes" -a "x${want_wayland}" = "xyes"; then 5096if test "x${want_tests}" = "xyes" -a "x${want_wayland}" = "xyes"; then
5097 EFL_DEPEND_PKG([ECORE_WAYLAND_SRV], [WAYLAND], [wayland-server >= 1.8.0]) 5097 EFL_DEPEND_PKG([ECORE_WAYLAND_SRV], [WAYLAND], [wayland-server >= 1.10.0])
5098 EFL_EVAL_PKGS([ECORE_WAYLAND_SRV]) 5098 EFL_EVAL_PKGS([ECORE_WAYLAND_SRV])
5099fi 5099fi
5100 5100
@@ -5133,7 +5133,7 @@ EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [eo])
5133EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [efl]) 5133EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [efl])
5134EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [ecore]) 5134EFL_INTERNAL_DEPEND_PKG([ECORE_BUFFER], [ecore])
5135EFL_DEPEND_PKG([ECORE_BUFFER], [WAYLAND], 5135EFL_DEPEND_PKG([ECORE_BUFFER], [WAYLAND],
5136 [wayland-server >= 1.5.0 wayland-client >= 1.5.0]) 5136 [wayland-server >= 1.10.0 wayland-client >= 1.10.0])
5137 5137
5138PKG_CHECK_MODULES([X11_DRI_COMMON], 5138PKG_CHECK_MODULES([X11_DRI_COMMON],
5139 [ 5139 [
diff --git a/m4/evas_check_engine.m4 b/m4/evas_check_engine.m4
index e38589c48a..448a210592 100644
--- a/m4/evas_check_engine.m4
+++ b/m4/evas_check_engine.m4
@@ -1,3 +1,4 @@
1AC_DEFUN([REQUIRED_WAYLAND_VERSION], [1.10.0])
1 2
2dnl use: EVAS_CHECK_ENGINE_DEP_SOFTWARE_XLIB(engine, simple, want_static[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]) 3dnl use: EVAS_CHECK_ENGINE_DEP_SOFTWARE_XLIB(engine, simple, want_static[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])
3 4
@@ -519,7 +520,7 @@ have_dep="no"
519evas_engine_[]$1[]_cflags="" 520evas_engine_[]$1[]_cflags=""
520evas_engine_[]$1[]_libs="" 521evas_engine_[]$1[]_libs=""
521 522
522PKG_CHECK_EXISTS([wayland-client >= 1.3.0], 523PKG_CHECK_EXISTS([wayland-client >= REQUIRED_WAYLAND_VERSION],
523 [ 524 [
524 have_dep="yes" 525 have_dep="yes"
525 requirement="wayland-client" 526 requirement="wayland-client"
@@ -560,7 +561,7 @@ else
560 gl_library="gl" 561 gl_library="gl"
561fi 562fi
562 563
563PKG_CHECK_EXISTS([egl ${gl_library} wayland-client >= 1.3.0 wayland-egl], 564PKG_CHECK_EXISTS([egl ${gl_library} wayland-client >= REQUIRED_WAYLAND_VERSION wayland-egl],
564 [ 565 [
565 have_dep="yes" 566 have_dep="yes"
566 requirement="egl ${gl_library} wayland-client wayland-egl" 567 requirement="egl ${gl_library} wayland-client wayland-egl"
@@ -635,10 +636,10 @@ else
635 AC_MSG_ERROR([We currently do not support GL DRM without OpenGL ES. Please consider OpenGL ES if you want to use it.]) 636 AC_MSG_ERROR([We currently do not support GL DRM without OpenGL ES. Please consider OpenGL ES if you want to use it.])
636fi 637fi
637 638
638PKG_CHECK_EXISTS([egl ${gl_library} gbm wayland-client >= 1.3.0], 639PKG_CHECK_EXISTS([egl ${gl_library} gbm wayland-client >= REQUIRED_WAYLAND_VERSION],
639 [ 640 [
640 have_dep="yes" 641 have_dep="yes"
641 requirement="egl ${gl_library} gbm wayland-client >= 1.3.0" 642 requirement="egl ${gl_library} gbm wayland-client >= REQUIRED_WAYLAND_VERSION"
642 ], 643 ],
643 [have_dep="no"]) 644 [have_dep="no"])
644 645